@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.pick-up {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: calcFluidFontSize(40, 66);
  @media (max-width: 550px) {
    background: linear-gradient(180deg, #F7F7F7 7.15%, #E8E8E8 100%);
  }
  h2 {
    font-size: calcFluidFontSize(24, 32);
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    letter-spacing: 0.01em;
    color: $text-color;
    text-align: center;
    margin-bottom: calcFluidFontSize(32, 64);
  }
  &__btn-wrapper {
    padding-top: 44px;
    align-items: flex-end;
    display: flex;
    flex-grow: 3;
  }
  &__btn_mobile {
    display: none !important;
  }
  &-panel {
    max-width: get-vw(1820px);
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 53px get-vw(46px) calcFluidFontSize(34, 59);
    box-sizing: border-box;
    min-height: 703px;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 20px 23px 50px rgba(130, 130, 130, 0.23), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
    border-radius: 72px;
    h2 {
      max-width: 900px;

      @media (max-width: 1920px) {
        max-width: calcFluidFontSize(400, 625);
      }
      @media (min-width: 2560px) {
        max-width: 1250px;
      }
    }
    @media (max-width: 550px) {
      box-shadow: none;
      border-radius: 0;
      background: none;
      padding-top: 0;
    }
    @media (min-width: 1920px) {
      //padding: 53px get-vw(46px) get-vw(59, 34);

    }
  }
  &-mobile-headline {
    display: none;
  }
  &-electronics {
    display: grid;
    column-gap: get-vw(23px);
    //grid-template-columns: repeat(auto-fill, 227px);
    grid-template-columns: repeat(7, 1fr);
    justify-items: center;
    width: 100%;
    //width: calc(100% - 93px);
    &__item {
      height: get-vw(252px);
      width: 100%;
      cursor: pointer;
      //background: linear-gradient(180deg, #FDFDFD 8.37%, #EEEEEE 109.74%);
      box-shadow: inset -4px -4px 4px rgba(217, 217, 217, 0.55), inset 7px 4px 8px rgba(255, 255, 255, 0.35);
      border-radius: 41px;
      //padding: get-vw(25px);
      padding: get-vw(25px);
      box-sizing: border-box;
      &-container {
        border: 2px solid transparent;
        border-radius: 21px;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        //padding: get-vw(30px) 0 get-vw(12px);
        padding: 30px 5px 12px;
        box-sizing: border-box;
        span {
          line-height: 32px;
          font-size: 18px;
          color: $text-color;
          @media (min-width: 1920px) {
            font-size: get-rem(18px);
          }
        }
        //&:hover {
        //  border-color: #4a991f;
        //}
      }
      &_active {
        box-shadow: inset -4px -4px 4px rgba(255, 255, 255, 0.55), inset 7px 4px 8px rgba(217, 217, 217, 0.35);
        .pick-up-electronics__item-container {
          border-color: $accent-color;
        }
        span {
          color: $accent-color;
          font-weight: 500;
        }
        svg {
          rect[stroke="#BCBCBC"], path[stroke="#BCBCBC"], circle[stroke="#BCBCBC"], rect[stroke="#767676"], path[stroke="#767676"], circle[stroke="#767676"] {
            stroke: $accent-color;
          }
          rect[fill="#BCBCBC"], path[fill="#BCBCBC"], rect[fill="#767676"], circle[fill="#767676"], path[fill="#767676"] {
            fill: $accent-color;
          }
          //circle, path {
          //  fill: $accent-color;
          //}
        }
      }
      @media (max-width: 1920px) {
        height: 252px;
        padding: 25px;
      }
      @media (max-width: 640px) {
        border-radius: 24px;
      }
      @media (max-width: 460px) {

      }
    }
    &__box {
      width: 100%;
      .counter {
        width: auto;
        margin-top: calcFluidFontSize(10,15);
      }
      .rounded-input {
        width: get-vw(68px);
        @media (max-width: 1920px) {
          width: 68px;
          margin: 0 5px;
          padding: 0;
        }
      }
    }
    @media (max-width: 1919px) {
      grid-row-gap: calcFluidFontSize(15,30);;
    }
    @media (max-width: 1600px) {
      grid-template-columns: repeat(4, 1fr);
      grid-row-gap: calcFluidFontSize(15,30);;
    }
    @media (max-width: 1300px) {
      grid-template-columns: repeat(4, 1fr);
    }
    @media (max-width: 1000px) {
      grid-template-columns: repeat(4, 1fr);
    }
    @media (max-width: 876px) {
      grid-template-columns: repeat(3, 1fr);
    }
    @media (max-width: 640px) {
      grid-template-columns: repeat(2, 1fr);
    }
    @media (max-width: 460px) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
}

@media (max-width: 460px) {
  .pick-up {
    &-electronics {
      &__box {
        position: relative;
        .counter {
          position: absolute;
          z-index: 50;
          transform: rotate(-90deg);
          top: 89px;
          right: -135px;
          width: 181px;
        }
        .rounded-input {
          transform: rotate(90deg);
          height: 53px;
          width: 42px;
        }
        .round-button__text {
          transform: rotate(90deg);
        }
      }
    }
    &__btn {
      display: none !important;
      &_mobile {
        display: flex !important;
      }
    }
    &-panel {
      padding-right: calcFluidFontSize(60, 95);
      background: none;
      h2 {
        display: none;
      }
    }
    &-mobile-headline {
      display: inline-block;
    }
  }
}

@media (max-width: 360px) {
  .pick-up-panel {
    padding: 0 70px 0 20px;
  }
}

.counter-wrapper {
  width: 100%;
  display: none;
}

.d-block {
  display: block !important;
}